Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeRO

All Superinterfaces:
  `NodeRO`

All Known Subinterfaces:
  `Proxy.Node`

Enclosing interface:
  `Proxy`

public static interface Proxy.NodeRO extends NodeRO

## Method Summary

Modifier and Type
Method
Description
`List<? extends Node>`
`find(boolean withAncestors, boolean withDescendants, groovy.lang.Closure<Boolean> closure)`
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.
`List<? extends Node>`
`find(groovy.lang.Closure<Boolean> closure)`
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.
`List<? extends Node>`
`find(org.freeplane.features.filter.condition.ICondition condition)`
Deprecated.
since 1.2 use `NodeRO.find(NodeCondition)` instead.

### Methods inherited from interface org.freeplane.api.NodeRO

`allAt, at, find, find, findAll, findAllDepthFirst, getAlias, getAt, getAttributes, getBaseDistanceToChildrenAsLength, getBinary, getBookmark, getBranchAsTextOutline, getChildNodesLayout, getChildPosition, getChildren, getCloud, getConditionalStyles, getConnectorsIn, getConnectorsOut, getCountNodesSharingContent, getCountNodesSharingContentAndSubtree, getCreatedAt, getDependents, getDetails, getDetailsContentType, getDetailsText, getDisplayedText, getExternalObject, getFormat, getGeometry, getHideDetails, getHorizontalShift, getHorizontalShiftAsLength, getHorizontalShiftInScreenPixels, getHtmlText, getIcons, getId, getIsGlobal, getLastModifiedAt, getLayoutOrientation, getLink, getMap, getMindMap, getMinimalDistanceBetweenChildren, getMinimalDistanceBetweenChildrenAsLength, getMinimalDistanceBetweenChildrenInScreenPixels, getNext, getNodeID, getNodeLevel, getNodesSharingContent, getNodesSharingContentAndSubtree, getNote, getNoteContentType, getNoteText, getObject, getParent, getParentNode, getPathToRoot, getPlainText, getPlainTextContent, getPrecedents, getPrevious, getReminder, getShortText, getSideAtRoot, getStyle, getTags, getText, getTo, getTransformedText, getValue, getVerticalShift, getVerticalShiftAsLength, getVerticalShiftInScreenPixels, hasStyle, isDescendantOf, isFolded, isFree, isLeaf, isLeft, isLeftOnViewsWithRoot, isMinimized, isRoot, isTopOrLeft, isTopOrLeftOnViewsWithRoot, isVisible, isVisibleOnViewsWithRoot`

## Method Details

### find

List<? extends Node> find(groovy.lang.Closure<Boolean> closure)
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true. See `Proxy.ControllerRO.find(Closure)` for details.

### find

List<? extends Node> find(boolean withAncestors, boolean withDescendants, groovy.lang.Closure<Boolean> closure)
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.

Since:
  1.7.4 See `Proxy.ControllerRO.find(Closure)` for details.

### find

@Deprecated List<? extends Node> find(org.freeplane.features.filter.condition.ICondition condition)
Deprecated.
since 1.2 use `NodeRO.find(NodeCondition)` instead.
Starting from this node, recursively searches for nodes for which `condition.checkNode(node)` returns true.